namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：设备功能  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/2 16:03:10 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("devices_product_function")]
    public class DeviceProductFunctionEntity : DEntityBase
    {
        /// <summary>
        /// 设备产品Id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceProductId { get; set; }
        /// <summary>
        /// 功能名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Name { get; set; }
        /// <summary>
        /// 功能编码
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Code { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Description { get; set; }
        /// <summary>
        /// 方法参数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "longtext")]
        public string Params { get; set; }
    }
}
